Bug 621109 - qpid-python, qpid-qmf msi packages should report installed version including build version
Summary: qpid-python, qpid-qmf msi packages should report installed version including ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution (Show other bugs)
(Show other bugs)
Version: beta
Hardware: All Windows
low
medium
Target Milestone: 1.3
: ---
Assignee: Rafael H. Schloming
QA Contact: Petra Svobodová
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-04 09:36 UTC by Frantisek Reznicek
Modified: 2015-11-16 01:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-05 14:22:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frantisek Reznicek 2010-08-04 09:36:45 UTC
Description of problem:

qpid-python, qpid-qmf msi packages currently report to 'Add or
Remove Programs' tool just main package version, not the build (i.e. <revision_nr>-<build_nr>) which is making hard for user to find out which subversion/build of reported main version is installed (in connection with bug 621099 it is really confusing what version is installed).

I believe correct place for such information is in 'Add or
Remove Programs' tool when clicking on 'Click here for support information' (see attached picture).


Version-Release number of selected component (if applicable):
qpid-python*.msi
qpid-qmf*.msi

How reproducible:
100%

Steps to Reproduce:
1. Search for qpid-{python,qmf} version including build version
     --> Not avail at the moment
  
Actual results:
qpid-{python,qmf} build version is not available to end user.

Expected results:
qpid-{python,qmf} build version should be available to end user.

Additional info:

Comment 1 Petra Svobodová 2011-06-13 12:06:05 UTC
The qpid-python and qpid-qmf msi packages report their version, revision and build numbers now.

Verified on packages: 
qpid-python-0.7.946106a15.win32-py2.6.msi
qpid-qmf-0.7.946106a14.win32-py2.6.msi

--> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.